If you chose not to install the update notifier a hook is causing an error

If you in the net installer uncheck that you want to install the update notifier you get an error when you run updates, because this is still created:

/etc/pacman.d/hooks/eos-reboot-required.hook

Not a big issue (it doesn’t halt progress), but it’s an eyesore.

I haven’t seen that. Is this a new option?

If you open up the the base devel tree you get the option to uncheck it.

it’s in the last update

The doctor asked the patient, “What hurts”. The patient replied. “It hurts when I touch here”. The doctor replied, “Dont do that” :rofl:

2 Likes

@Beardedgeek72
That is strange (I haven’t tested it though), because that hook file is included only in the eos-update-notifier package.

1 Like

Oh …okay…Never spent much time looking at that. Especailly with the warning about not changing things in the base. :roll_eyes:

1 Like

I am 100% sure that’s how it got there, because after my failed Deepin experiment I formatted my / , so that’s definitely not a leftover from before.

OK, thanks for the report!
We’ll have to study this and find some answers. :sweat_smile:

2 Likes
$ milcheck && LANG=C sudo pacman -Syu
State Url                                             Protocol Country       Completion % Delay h:m Avg dur s Dev dur s Score
   Ok https://mirror.mia11.us.leaseweb.net/archlinux/ https    United States          100      0:30      1.02      0.49   2.0
   Ok https://arch.mirror.square-r00t.net/            https    United States          100      0:33      1.01      0.46   2.0
   Ok https://mirrors.kernel.org/archlinux/           https    United States          100      1:15      0.89      0.48   2.6
   Ok https://iad.mirrors.misaka.one/archlinux/       https    United States          100      0:29      0.74      0.37   1.6
   Ok https://mirrors.xtom.com/archlinux/             https    United States          100      0:51      0.70      0.40   2.0
   Ok https://mirror.lty.me/archlinux/                https    United States          100      0:01      0.80      0.30   1.1
   Ok https://mirror.i3d.net/pub/archlinux/           https    Netherlands            100      1:18      0.69      0.53   2.5
   Ok https://archmirror.lavatech.top/                https    Netherlands            100      0:46      1.13      0.66   2.6
   Ok https://mirror.ubrco.de/archlinux/              https    Germany                100      0:08      0.40      0.39   0.9
   Ok https://archlinux.mirror.pcextreme.nl/          https    Netherlands            100      0:46      1.36      1.25   3.4

[sudo] password for judd: 
:: Synchronizing package databases...
 core is up to date
 extra                                                                                                            1643,0 KiB   951 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
 community                                                                                                           4,8 MiB   857 KiB/s 00:06 [---------------------------------------------------------------------------------------] 100%
 multilib                                                                                                          164,0 KiB   288 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 endeavouros                                                                                                        11,0 KiB  1575 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (15) faac-1.30-2  glslang-8.13.3559-1  kitinerary-19.12.1-2  libplacebo-1.21.0-2  libpulse-13.0-3  libreoffice-fresh-6.3.4-2  libsndfile-1.0.28-3  mesa-19.3.2-2  noto-fonts-20190926-4  poppler-0.84.0-1  poppler-glib-0.84.0-1
              poppler-qt5-0.84.0-1  pulseaudio-13.0-3  shaderc-2019.0-4  ttf-croscore-20190926-4

Total Download Size:   177,38 MiB
Total Installed Size:  612,48 MiB
Net Upgrade Size:        0,98 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 faac-1.30-2-x86_64                                                                                                 60,4 KiB   392 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
 glslang-8.13.3559-1-x86_64                                                                                       1766,1 KiB   548 KiB/s 00:03 [---------------------------------------------------------------------------------------] 100%
 poppler-0.84.0-1-x86_64                                                                                          1323,1 KiB   500 KiB/s 00:03 [---------------------------------------------------------------------------------------] 100%
 mesa-19.3.2-2-x86_64                                                                                               11,6 MiB   914 KiB/s 00:13 [---------------------------------------------------------------------------------------] 100%
 kitinerary-19.12.1-2-x86_64                                                                                       911,3 KiB   849 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 shaderc-2019.0-4-x86_64                                                                                           121,6 KiB   108 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 libplacebo-1.21.0-2-x86_64                                                                                        185,2 KiB   406 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
 libsndfile-1.0.28-3-x86_64                                                                                        344,9 KiB   462 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 libpulse-13.0-3-x86_64                                                                                            393,3 KiB   388 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 libreoffice-fresh-6.3.4-2-x86_64                                                                                  134,8 MiB  1593 KiB/s 01:27 [---------------------------------------------------------------------------------------] 100%
 noto-fonts-20190926-4-any                                                                                          22,1 MiB  1024 KiB/s 00:22 [---------------------------------------------------------------------------------------] 100%
 poppler-glib-0.84.0-1-x86_64                                                                                      245,5 KiB   172 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 poppler-qt5-0.84.0-1-x86_64                                                                                       184,5 KiB   210 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 pulseaudio-13.0-3-x86_64                                                                                         1251,5 KiB   623 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
 ttf-croscore-20190926-4-any                                                                                         2,3 MiB   611 KiB/s 00:04 [---------------------------------------------------------------------------------------] 100%
(15/15) checking keys in keyring                                                                                                               [---------------------------------------------------------------------------------------] 100%
(15/15) checking package integrity                                                                                                             [---------------------------------------------------------------------------------------] 100%
(15/15) loading package files                                                                                                                  [---------------------------------------------------------------------------------------] 100%
(15/15) checking for file conflicts                                                                                                            [---------------------------------------------------------------------------------------] 100%
:: Processing package changes...
( 1/15) upgrading faac                                                                                                                         [---------------------------------------------------------------------------------------] 100%
( 2/15) upgrading glslang                                                                                                                      [---------------------------------------------------------------------------------------] 100%
( 3/15) upgrading poppler                                                                                                                      [---------------------------------------------------------------------------------------] 100%
( 4/15) upgrading mesa                                                                                                                         [---------------------------------------------------------------------------------------] 100%
( 5/15) upgrading kitinerary                                                                                                                   [---------------------------------------------------------------------------------------] 100%
( 6/15) upgrading shaderc                                                                                                                      [---------------------------------------------------------------------------------------] 100%
( 7/15) upgrading libplacebo                                                                                                                   [---------------------------------------------------------------------------------------] 100%
( 8/15) upgrading libsndfile                                                                                                                   [---------------------------------------------------------------------------------------] 100%
New optional dependencies for libsndfile
    alsa-lib: for sndfile-play [installed]
( 9/15) upgrading libpulse                                                                                                                     [---------------------------------------------------------------------------------------] 100%
(10/15) upgrading libreoffice-fresh                                                                                                            [---------------------------------------------------------------------------------------] 100%
(11/15) upgrading noto-fonts                                                                                                                   [---------------------------------------------------------------------------------------] 100%
(12/15) upgrading poppler-glib                                                                                                                 [---------------------------------------------------------------------------------------] 100%
(13/15) upgrading poppler-qt5                                                                                                                  [---------------------------------------------------------------------------------------] 100%
(14/15) upgrading pulseaudio                                                                                                                   [---------------------------------------------------------------------------------------] 100%
(15/15) upgrading ttf-croscore                                                                                                                 [---------------------------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/9) Reloading device manager configuration...
(2/9) Arming ConditionNeedsUpdate...
(3/9) Inform user to reboot after certain system package upgrades.
error: unable to run hook eos-reboot-required.hook: could not satisfy dependencies
(4/9) Updating fontconfig cache...
(5/9) Compiling GSettings XML schema files...
(6/9) Updating icon theme caches...
(7/9) Updating the desktop file MIME type cache...
(8/9) Updating the MIME type database...
(9/9) Updating X fontdir indices...
[judd@judd-pc ~]$ 

A message like that shows up after using pamac-aur to update as well, but only if you update something that would require a reboot (for example, the kernel) Now that I think about it, it IS strange as I never installed eos-update-notifier, either.

╭─joekamprad@empowered64 ~  
╰─$ pacman -Qo /etc/pacman.d/hooks/eos-reboot-required.hook
/etc/pacman.d/hooks/eos-reboot-required.hook is owned by eos-update-notifier 0.9.12-1

A workaround is to simply delete file /etc/pacman.d/hooks/eos-reboot-required.hook:

    sudo rm /etc/pacman.d/hooks/eos-reboot-required.hook

if it exists and you don’t have eos-update-notifier installed.

The reason is already found and will be fixed.

3 Likes

Yep. That’s what I did.

2 Likes

This problem has now been solved, and the next ISO (when we publish it in the future) should be fine in this regard.

1 Like